<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.user-account-page.api-token.dialog.display-token.title'
  "
  [dialogId]="'display-new-api-token-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="m-b-15">
      <div class="flex-row body-content m-x-10 m-y-20 align-items-center">
        <i
          nz-icon
          class="font-50-px p-r-10 m-x-10 m-y-5"
          nzType="exclamation-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FAAD14'"
        ></i>
        <div class="flex-column m-10">
          <span class="txt__semi-bold">{{
            'sqtm-core.user-account-page.api-token.dialog.display-token.message'
              | translate
          }}</span>
        </div>
      </div>
      <div class="m-x-50">
        <sqtm-core-secret-field [value]="newToken"></sqtm-core-secret-field>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
